Bug 1327603 - Retired instance can be resumed from provider side and it is not powered off.
Summary: Retired instance can be resumed from provider side and it is not powered off.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.5
Assignee: Tina Fitzgerald
QA Contact: Kyrylo Zvyagintsev
URL:
Whiteboard: vm:retirement
Depends On: 1325167
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-15 13:11 UTC by John Prause
Modified: 2019-10-10 11:53 UTC (History)
11 users (show)

Fixed In Version: 5.5.5.0
Doc Type: Bug Fix
Doc Text:
In the previous version of CloudForms, retired instances may be left in suspended state on OpenStack server. As a result, the retired instance could be resumed back to active state from the provider side (OpenStack) and this state was not refreshed back in CloudForms. This update adds built in policy for event vm_resume. This policy will keep the retired instance in powered off state, even if it is powered on from the OpenStack server.
Clone Of: 1325167
Environment:
Last Closed: 2016-07-26 15:32:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 2 CFME Bot 2016-06-15 12:50:05 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e383bd4df54abdf05208fe0a3c55b7f2ac575d58

commit e383bd4df54abdf05208fe0a3c55b7f2ac575d58
Merge: 8d1e45d a710139
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jun 15 08:42:38 2016 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Wed Jun 15 08:42:38 2016 -0400

    Merge branch '5.5.z-new_built_in_policy_1325167' into '5.5.z'
    
    Add built in policy for event vm_resume.
    
    Original is [here](https://github.com/ManageIQ/manageiq/pull/8872).
    
    Manual cherry-pick.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1327603
    
    
    See merge request !972

 app/models/miq_policy.rb       | 10 ++++++++++
 spec/models/miq_policy_spec.rb | 30 ++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

Comment 6 errata-xmlrpc 2016-07-26 15:32:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.